com.aliyun.svideosdk.editor

## Interface AliyunPasterBaseView

-     public interface AliyunPasterBaseView

  该接口是UI控制框架中对于上层贴图展示UI做的抽象，该接口需要开发者提供实现，并且将实现通过`AliyunPasterController.setPasterView(AliyunPasterBaseView)` 传递给短视频SDK，SDK内部会调用该实现的相关接口，确定如何渲染贴图，气泡文字，普通文字等

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Bitmap` | `getBackgroundBitmap()` 获取背景图
    `int` | `getPasterCenterX()` 获取贴图中心点的X坐标，气泡文字情况下，返回背景气泡动图的中心点X坐标
    `int` | `getPasterCenterY()` 获取贴图中心点的Y坐标，气泡文字情况下，返回背景气泡动图的中心点Y坐标
    `int` | `getPasterHeight()` 获取贴图的高度，气泡文字情况下，返回背景气泡动图的高度
    `float` | `getPasterRotation()` 获取贴图的旋转角度，气泡文字情况下，返回背景气泡动图的旋转角度
    `java.lang.String` | `getPasterTextFont()` Deprecated. 使用 `getPasterTextFontSource()`替代
    `Source` | `getPasterTextFontSource()` 获取文字的字体文件路径，气泡文字/普通文字贴图情况下会用到该接口，普通动图情况下提供空实现即可
    `int` | `getPasterTextHeight()` 获取文字的高度，气泡文字/普通文字贴图情况下会用到该接口，普通动图情况下提供空实现即可
    `int` | `getPasterTextOffsetX()` 获取文字区域相对于背景动图区域的x轴偏移量，气泡文字情况下会用到该接口，普通动图和文字情况下提供空实现即可
    `int` | `getPasterTextOffsetY()` 获取文字区域相对于背景动图区域的y轴偏移量，气泡文字情况下会用到该接口，普通动图和文字情况下提供空实现即可
    `float` | `getPasterTextRotation()` 获取文字的旋转角度，气泡文字/普通文字贴图情况下会用到该接口，普通动图情况下提供空实现即可
    `int` | `getPasterTextWidth()` 获取文字的宽度，气泡文字/普通文字贴图情况下会用到该接口，普通动图情况下提供空实现即可
    `View` | `getPasterView()` 获取包含贴图UI的View（SDK内部控制UI层贴图的显隐实际上就是控制该View的显隐），一般来说应该是个ViewGroup
    `int` | `getPasterWidth()` 获取贴图的宽度，气泡文字情况下，返回背景气泡动图的宽度
    `java.lang.String` | `getText()` 获取文字内容，字幕/文字贴图情况下会用到该接口，动图情况下提供空实现即可
    `Layout.Alignment` | `getTextAlign()` 获取文字对齐方式
    `int` | `getTextBgLabelColor()` 文字背景色，字幕/文字贴图情况下会用到该接口，动图情况下提供空实现即可
    `int` | `getTextColor()` 获取文字颜色，字幕/文字贴图情况下会用到该接口，动图情况下提供空实现即可
    `int` | `getTextFixSize()` 获取文字字号
    `int` | `getTextMaxLines()` 获取文字最大行数
    `int` | `getTextPaddingX()` 获取文字X轴距离左边的边距，以左上角为原点
    `int` | `getTextPaddingY()` 获取文字Y轴距离上边的边距，以左上角为原点
    `int` | `getTextStrokeColor()` 获取文字描边颜色，字幕/文字贴图情况下会用到该接口，动图情况下提供空实现即可
    `View` | `getTextView()` 获取UI层展示文字的View
    `boolean` | `isPasterMirrored()` 是否需要对贴图做镜像
    `boolean` | `isTextHasLabel()` 是否有背景色
    `boolean` | `isTextHasStroke()` 是否有描边，字幕/文字贴图情况下会用到该接口，动图情况下提供空实现即可
    `Bitmap` | `transToImage()` 将文字转换成图片，气泡文字/普通文字贴图情况下会用到该接口，普通动图情况下提供空实现即可

- - ### Method Detail

    - #### getTextMaxLines

          int getTextMaxLines()

      获取文字最大行数

    - #### getTextAlign

          Layout.Alignment getTextAlign()

      获取文字对齐方式

    - #### getTextPaddingX

          int getTextPaddingX()

      获取文字X轴距离左边的边距，以左上角为原点

    - #### getTextPaddingY

          int getTextPaddingY()

      获取文字Y轴距离上边的边距，以左上角为原点

    - #### getTextFixSize

          int getTextFixSize()

      获取文字字号

    - #### getBackgroundBitmap

          Bitmap getBackgroundBitmap()

      获取背景图

    - #### getText

          java.lang.String getText()

      获取文字内容，字幕/文字贴图情况下会用到该接口，动图情况下提供空实现即可

    - #### getTextColor

          int getTextColor()

      获取文字颜色，字幕/文字贴图情况下会用到该接口，动图情况下提供空实现即可

    - #### getTextStrokeColor

          int getTextStrokeColor()

      获取文字描边颜色，字幕/文字贴图情况下会用到该接口，动图情况下提供空实现即可

    - #### isTextHasStroke

          boolean isTextHasStroke()

      是否有描边，字幕/文字贴图情况下会用到该接口，动图情况下提供空实现即可

    - #### isTextHasLabel

          boolean isTextHasLabel()

      是否有背景色

    - #### getTextBgLabelColor

          int getTextBgLabelColor()

      文字背景色，字幕/文字贴图情况下会用到该接口，动图情况下提供空实现即可

    - #### getPasterTextOffsetX

          int getPasterTextOffsetX()

      获取文字区域相对于背景动图区域的x轴偏移量，气泡文字情况下会用到该接口，普通动图和文字情况下提供空实现即可

    - #### getPasterTextOffsetY

          int getPasterTextOffsetY()

      获取文字区域相对于背景动图区域的y轴偏移量，气泡文字情况下会用到该接口，普通动图和文字情况下提供空实现即可

    - #### getPasterTextWidth

          int getPasterTextWidth()

      获取文字的宽度，气泡文字/普通文字贴图情况下会用到该接口，普通动图情况下提供空实现即可

    - #### getPasterTextHeight

          int getPasterTextHeight()

      获取文字的高度，气泡文字/普通文字贴图情况下会用到该接口，普通动图情况下提供空实现即可

    - #### getPasterTextRotation

          float getPasterTextRotation()

      获取文字的旋转角度，气泡文字/普通文字贴图情况下会用到该接口，普通动图情况下提供空实现即可

    - #### getPasterTextFont

          @Deprecated
          java.lang.String getPasterTextFont()

      Deprecated. 使用 `getPasterTextFontSource()`替代
      获取文字的字体文件路径，气泡文字/普通文字贴图情况下会用到该接口，普通动图情况下提供空实现即可

    - #### getPasterTextFontSource

          Source getPasterTextFontSource()

      获取文字的字体文件路径，气泡文字/普通文字贴图情况下会用到该接口，普通动图情况下提供空实现即可

    - #### getPasterWidth

          int getPasterWidth()

      获取贴图的宽度，气泡文字情况下，返回背景气泡动图的宽度

    - #### getPasterHeight

          int getPasterHeight()

      获取贴图的高度，气泡文字情况下，返回背景气泡动图的高度

    - #### getPasterCenterY

          int getPasterCenterY()

      获取贴图中心点的Y坐标，气泡文字情况下，返回背景气泡动图的中心点Y坐标

    - #### getPasterCenterX

          int getPasterCenterX()

      获取贴图中心点的X坐标，气泡文字情况下，返回背景气泡动图的中心点X坐标

    - #### getPasterRotation

          float getPasterRotation()

      获取贴图的旋转角度，气泡文字情况下，返回背景气泡动图的旋转角度

    - #### transToImage

          Bitmap transToImage()

      将文字转换成图片，气泡文字/普通文字贴图情况下会用到该接口，普通动图情况下提供空实现即可

    - #### getPasterView

          View getPasterView()

      获取包含贴图UI的View（SDK内部控制UI层贴图的显隐实际上就是控制该View的显隐），一般来说应该是个ViewGroup

    - #### getTextView

          View getTextView()

      获取UI层展示文字的View

    - #### isPasterMirrored

          boolean isPasterMirrored()

      是否需要对贴图做镜像